#include <tqlayout.h>
#include <tqslider.h>
#include "extrastereogui_impl.h"

namespace Arts {

ExtraStereoGUI_impl::ExtraStereoGUI_impl() : TQWidget(0)
{
		(new TQHBoxLayout(this))->setAutoAdd(true);
		mSlider=new TQSlider(0,100,10, 0,Qt::Horizontal, this);
		mSlider->show();
		show();
}

void ExtraStereoGUI_impl::changeSlider(int v)
{
	effect.intensity((float)v/100.0);
}

void ExtraStereoGUI_impl::setEffect(StereoEffect newEffect)
{
	effect = DynamicCast(newEffect);
}

REGISTER_IMPLEMENTATION(ExtraStereoGUI_impl);

};

